### Hierarchy

- CryptoUtils

## Index

### Methods

- PBKDF2
- decryptAes256
- encryptAes256
- isValidPublicKey
- keccak256
- sha384

## Methods

### Static PBKDF2

- PBKDF2(password: string, keySize: number): string

- - Defined in utils/CryptoUtils.ts:34

  #### Parameters

  - ##### password: string

  - ##### keySize: number

  #### Returns string

### Static decryptAes256

- decryptAes256(ciphertext: string, pass: string): string

- - Defined in utils/CryptoUtils.ts:28

  #### Parameters

  - ##### ciphertext: string

  - ##### pass: string

  #### Returns string

### Static encryptAes256

- encryptAes256(message: string, pass: string): string

- - Defined in utils/CryptoUtils.ts:22

  #### Parameters

  - ##### message: string

  - ##### pass: string

  #### Returns string

### Static isValidPublicKey

- isValidPublicKey(publicKey: string): boolean

- - Defined in utils/CryptoUtils.ts:6

  #### Parameters

  - ##### publicKey: string

  #### Returns boolean

### Static keccak256

- keccak256(message: string): string

- - Defined in utils/CryptoUtils.ts:10

  #### Parameters

  - ##### message: string

  #### Returns string

### Static sha384

- sha384(message: string): string

- - Defined in utils/CryptoUtils.ts:16

  #### Parameters

  - ##### message: string

  #### Returns string

Generated using TypeDoc